#include <windows.h>
#define TITLE TEXT("Hello,there!")


#define EDIT_X 1
#define EDIT_Y 2
#define EDIT_WIDTH 3
#define EDIT_HEIGHT 4
#define BUTTON_ADJUST 5
#define BUTTON_LOAD 6
#define BUTTON_SAVE 7
#define BUTTON_QUIT 8
#define DEBUG_1 9
#define DEBUG_2 10
#define BUTTON_SETUSC 11
#define BUTTON_SETSVP 12

int adjust;
HWND hwnd1,hwnd2;
char str[32];

POINT ptNow,ptOld;
int x1,y1,x2,y2;
int xd,yd;
BOOL RectDraw,RectDrag;
BOOL first_time=TRUE;
BOOL clip;
int Area;

int wx,wy;

void to_clipboard(int x1, int y1, int x2, int y2) {
HDC hdcScreen, hdc_mem_screen;
HBITMAP hBitmap;

int width,height;

width = (x2 - x1)+2;
height = (y2 - y1)+2;

         hdcScreen = CreateDC("DISPLAY", NULL, NULL, NULL);
         hdc_mem_screen = CreateCompatibleDC(hdcScreen);
         hBitmap = CreateCompatibleBitmap(hdcScreen, width, height);
         SelectObject(hdc_mem_screen, hBitmap);
         BitBlt(hdc_mem_screen, 0,0, width,height, hdcScreen, x1,y1,SRCCOPY);
         if(OpenClipboard(hwnd1) != 0)
         {  EmptyClipboard();
            SetClipboardData(CF_BITMAP, hBitmap);
            CloseClipboard();
         }
         DeleteDC(hdc_mem_screen);
         DeleteDC(hdcScreen);
}



int Get_USCreg(char *szName, DWORD *dwValue)
//    call: err = Get_USCreg( str, (DWORD*) &num);
{
//open
HKEY    hKey;
DWORD   dwType = REG_DWORD;
DWORD   dwByte = 32;

if (       RegOpenKeyEx( HKEY_LOCAL_MACHINE,    //eL[
            "SOFTWARE\\Unreal\\Live\\UScreenCapture",             //TuL[
            0,                      //Ƀ[
            KEY_ALL_ACCESS,         //ZLeB}XN
            &hKey)                 //L[̃nh
            != ERROR_SUCCESS)
	{
        MessageBox(hwnd1,"OpenKey ","Error",MB_OK);
        //printf("OpenKey Error");
		return 1;
	}
//read

if (    RegQueryValueEx(
            hKey,                   //L[̃nh
            szName,                 //ǂݎL[̖O
            NULL,                   // NULL
            &dwType,                //f[^̃^Cv
            (BYTE *)dwValue,        //󂯎̈
            &dwByte)               //̈̃oCg(󂯎oCg            )
            != ERROR_SUCCESS)
	{
        MessageBox(hwnd1,"QueryValue Left","Error",MB_OK);
        //printf("QueryValue Left error");
		RegCloseKey(hKey);
		return 1;
	}
 //close
if (RegCloseKey(hKey) == ERROR_SUCCESS) {
//        MessageBox(hwnd1,"All Done.","noError",MB_OK);
//		printf("All Done.\n");
}
 return 0;
}

int Set_USCreg(char *szName, DWORD dwData)
//    call: err = Set_USCreg( str, (DWORD) num);
{
//open
HKEY    hKey;
//DWORD   dwType = REG_DWORD;
//DWORD   dwByte = 32, dwValue;

if (       RegOpenKeyEx(
            HKEY_LOCAL_MACHINE,    //eL[
            "SOFTWARE\\Unreal\\Live\\UScreenCapture",             //TuL[
            0,                      //Ƀ[
            KEY_ALL_ACCESS,         //ZLeB}XN
            &hKey)                 //L[̃nh
            != ERROR_SUCCESS)
	{
        MessageBox(hwnd1,"OpenKey ","Error",MB_OK);
        //printf("OpenKey Error");
		return 1;
	}

//write
if (      RegSetValueEx(
            hKey,         //L[̃nh
            szName,                 //ݒ肷l̖O
            0,                      //\ς݁i0ɂj
            REG_DWORD,              //f[^̃^Cv
            (BYTE *)&dwData,        //ۑf[^ւ̃|C^
            sizeof(DWORD))         //̈̃oCg
            != ERROR_SUCCESS)
	{
        MessageBox(hwnd1,"SetValue","Error",MB_OK);
        //printf("SetValue Error");
		return 1;
	}

//close
 if (RegCloseKey(hKey) == ERROR_SUCCESS) {
        //		MessageBox(hwnd1,"All Done.","noError",MB_OK);
//        printf("All Done.\n");

 }
 return 0;
}

int Set_SVPreg(char *szName, char *szData)
//    call: err = Set_SVPreg( str keyname, str data );
{
//open
HKEY    hKey;

if (       RegOpenKeyEx(
            HKEY_CURRENT_USER,    //eL[
            "SoftWare\\Tomo\\stvplayer",             //TuL[
            0,                      //Ƀ[
            KEY_ALL_ACCESS,         //ZLeB}XN
            &hKey)                 //L[̃nh
            != ERROR_SUCCESS)
	{
        //		MessageBox(hwnd1,"OpenKey ","Error",MB_OK);
//        printf("OpenKey Error");
		return 1;
	}

//write
if (      RegSetValueEx(
            hKey,         //L[̃nh
            szName,                 //ݒ肷l̖O
            0,                      //\ς݁i0ɂj
            REG_SZ,              //f[^̃^Cv
            (UCHAR *)szData,        //ۑf[^ւ̃|C^
            strlen(szData)+1 )         //̈̃oCg
            != ERROR_SUCCESS)
	{
        MessageBox(hwnd1,"SetValue","Error",MB_OK);
//        printf("SetValue Error");
		return 1;
	}

//close
 if (RegCloseKey(hKey) == ERROR_SUCCESS) {
        //		MessageBox(hwnd1,"All Done.","noError",MB_OK);
//        printf("All Done.\n");

 }
 return 0;
}
void get_area(HWND hwnd, int *x1,int *y1,int *x2,int *y2){
    RECT rc;
    /*
    GetDlgItemText( hwnd1, EDIT_X, str, 4) ;
   *x1 = atoi(str);
   GetDlgItemText( hwnd1, EDIT_Y, str, 4) ;
   *y1 = atoi(str);
   GetDlgItemText( hwnd1, EDIT_WIDTH, str, 4) ;
   *x2 = *(x1) + atoi(str) -1;
   GetDlgItemText( hwnd1, EDIT_HEIGHT, str, 4) ;
   *y2 = *(y1) + atoi(str) -1;
   */
   GetWindowRect(hwnd, &rc);
   *x1 = rc.left;
   *y1 = rc.top;
//   *x2 = rc.right;
//   *y2 = rc.bottom;
   *x2 = rc.right-2;
   *y2 = rc.bottom-2;
}

void fill_window(HWND hwnd) {
	HDC hdc;
	HBRUSH hBrush;
	PAINTSTRUCT ps;

	hdc = BeginPaint(hwnd, &ps);
	hBrush = CreateSolidBrush(RGB(255, 0, 0));
	SelectObject(hdc, hBrush);
	ExtFloodFill(hdc, 1, 1, RGB(255, 255, 255), FLOODFILLSURFACE);
	DeleteObject(hBrush);
	EndPaint(hwnd, &ps);
}

void move_rect(int x1,int y1,int x2, int y2) {
	MoveWindow(hwnd2, x1, y1, (x2-x1)+2, (y2-y1)+2, TRUE);
//	MoveWindow(hwnd2, x1, y1, x2-x1, y2-y1, TRUE);

		_itoa_s(x1,str,sizeof(str),10);
		SetDlgItemText( hwnd1, EDIT_X, str );
		
		_itoa_s(y1,str,sizeof(str),10);
		SetDlgItemText( hwnd1, EDIT_Y, str );
	
		_itoa_s((x2 - x1)+2,str,sizeof(str),10);
		SetDlgItemText( hwnd1,  EDIT_WIDTH, str ) ;
		_itoa_s((y2 - y1)+2,str,sizeof(str),10);
		SetDlgItemText( hwnd1,  EDIT_HEIGHT, str ) ;
/*
		_itoa_s(abs(x2 - x1),str,sizeof(str),10);
		SetDlgItemText( hwnd1,  EDIT_WIDTH, str ) ;
		_itoa_s(abs(y2 - y1),str,sizeof(str),10);
		SetDlgItemText( hwnd1,  EDIT_HEIGHT, str ) ;
*/
}
void get_usc_param(){
int x1,y1,x2,y2;

//goto init_error;
		if (Get_USCreg(   "Left", (DWORD*) &x1)) goto init_error;
		if (Get_USCreg(  "Right", (DWORD*) &x2)) goto init_error;
		if (Get_USCreg(    "Top", (DWORD*) &y1)) goto init_error;
		if (Get_USCreg( "Bottom", (DWORD*) &y2)) goto init_error;
		goto end_init;
init_error:
		x1 =100;y1=100;x2=300;y2=300;
end_init:
		move_rect(x1,y1,x2,y2);
}

//
//
//
#define AREA_BR 1
#define AREA_UL 2
#define AREA_ALL 3
#define AREA_OUT 0

LRESULT CALLBACK WndProc(HWND hwnd , UINT msg , WPARAM wp , LPARAM lp)
{
LONG exStyle;
int tmp;


switch (msg) {
    case WM_PAINT:
		fill_window(hwnd2);
        break;

	case WM_KEYDOWN:

		if (Area) {
			switch (wp) {
				case 'C':
					to_clipboard(x1, y1, x2, y2);
					break;

				case 'A':
					SetCursorPos(x1+20, y1+20);
					break;
				case 'S':
					SetCursorPos(x1+((x2-x1)/2), y1+((y2-y1)/2));
					break;
				case 'D':
					SetCursorPos(x2-20, y2-20);
					break;

				case VK_UP:
					switch (Area){
						case AREA_BR:
						     move_rect(x1, y1, x2, y2-1);
							 SetCursorPos(ptNow.x, ptNow.y-1);
							break;
						case AREA_UL:
						     move_rect(x1, y1-1, x2, y2);
							 SetCursorPos(ptNow.x, ptNow.y-1);
							break;
						case AREA_ALL:
							if (!clip){
						     move_rect(x1, y1-1, x2, y2-1);
							 SetCursorPos(ptNow.x, ptNow.y-1);
							} else clip = FALSE;
							break;
					}
					 break;
				case VK_DOWN:
					switch (Area){
						case AREA_BR:
						     move_rect(x1, y1, x2, y2+1);
							 SetCursorPos(ptNow.x, ptNow.y+1);
							break;
						case AREA_UL:
						     move_rect(x1, y1+1, x2, y2);
							 SetCursorPos(ptNow.x, ptNow.y+1);
							break;
						case AREA_ALL:
						     move_rect(x1, y1+1, x2, y2+1);
							 SetCursorPos(ptNow.x, ptNow.y+1);
							break;
					}
					break;
				case VK_LEFT:
					switch (Area){
						case AREA_BR:
						     move_rect(x1, y1, x2-1, y2);
							 SetCursorPos(ptNow.x-1, ptNow.y);
							break;
						case AREA_UL:
						     move_rect(x1-1, y1, x2, y2);
							 SetCursorPos(ptNow.x-1, ptNow.y);
							break;
						case AREA_ALL:
						     move_rect(x1-1, y1, x2-1, y2);
							 SetCursorPos(ptNow.x-1, ptNow.y);
							break;
					}
					break;
				case VK_RIGHT:
					switch (Area){
						case AREA_BR:
						     move_rect(x1, y1, x2+1, y2);
							 SetCursorPos(ptNow.x+1, ptNow.y);
							break;
						case AREA_UL:
						     move_rect(x1+1, y1, x2, y2);
							 SetCursorPos(ptNow.x+1, ptNow.y);
							break;
						case AREA_ALL:
						     move_rect(x1+1, y1, x2+1, y2);
							 SetCursorPos(ptNow.x+1, ptNow.y);
							break;
					}
					break;
				default:
					goto not_draw;

			}
not_draw:
			Area = 0;
		}
		break;

	case WM_LBUTTONDOWN:
		if (Area) {
			  RectDraw = TRUE;
			 SetCapture(hwnd2);
		}

          break;
        case WM_LBUTTONUP:
            if (RectDraw){
                RectDrag = FALSE;
                RectDraw = FALSE;
            } 
			ReleaseCapture();
            break;
		case WM_RBUTTONDOWN:
			if (adjust) {
				adjust= 2;
				exStyle = GetWindowLong( hwnd2, GWL_EXSTYLE );
				SetWindowLong( hwnd2, GWL_EXSTYLE, exStyle | WS_EX_TRANSPARENT );
			}
            break;

         case WM_MOUSEMOVE:
//			ptTmp = ptNow;
//			ptNow.x = LOWORD(lp);
//			ptNow.y = HIWORD(lp);
//			ClientToScreen(hwnd2, &ptNow);
			GetCursorPos(&ptNow);
		 	  _itoa_s(ptNow.x,str,sizeof(str),10);SetDlgItemText( hwnd1, DEBUG_1, str ) ;
			  _itoa_s(ptNow.y,str,sizeof(str),10);SetDlgItemText( hwnd1, DEBUG_2, str ) ;



get_area(hwnd2,&x1,&y1,&x2 ,&y2);

//if (adjust) {
  xd=yd=0;
  if (x1<0) {
	  xd = 0-x1;
	  clip = TRUE;
  }
  if (y1<0) {
	  yd = 0-y1;
	  clip = TRUE;
  }

  if (x2>=(wx-1)) {
	  xd = (wx-2)-x2;
	  clip = TRUE;
  }
  if (y2>=(wy-1)) {
	  yd = (wy-2)-y2;
	  clip = TRUE;
  }
//}

 if ((x1<ptNow.x)&&(ptNow.x<x2)&&(y1<ptNow.y)&&(ptNow.y<y2)){
  if ((x2-40<ptNow.x)&&(ptNow.x<x2)&&(y2-40<ptNow.y)&&(ptNow.y<y2))
	  {if (!RectDraw) Area = Area = AREA_BR;}
  else
  if ((x1<ptNow.x)&&(ptNow.x<x1+40)&&(y1<ptNow.y)&&(ptNow.y<y1+40))
	  {if (!RectDraw) Area = AREA_UL;}
  else if (!RectDraw) Area = AREA_ALL;
 } else {
	 if (!RectDraw) Area = AREA_OUT;
 }

             if (Area) {
                 if (RectDraw) {
					 if (!clip) {
	                     xd = ptNow.x - ptOld.x;
			             yd = ptNow.y - ptOld.y;
					 }
					 switch (Area) {
						 case AREA_UL:
						     move_rect(x1+xd, y1+yd, x2, y2);
							 break;
						 case AREA_BR:
						     move_rect(x1, y1, x2+xd, y2+yd);
							 break;
						 case AREA_ALL:
								 move_rect(x1+xd, y1+yd, x2+xd, y2+yd);
							 break;
					 }
				 }
                 ptOld = ptNow;
			 }
			 clip=FALSE;
            break;

	case WM_DESTROY:
quit:
		PostQuitMessage(0);
		return 0;

	case WM_CREATE:
			get_usc_param();
		return 0;

	case WM_COMMAND:
		switch(LOWORD(wp)) {
		case BUTTON_ADJUST:
//			MessageBox(hwnd , TEXT("BUTTON_ADJUST") , TEXT("Hello,there!") , MB_OK);
			if (adjust) {
				
				if (adjust == 2) {
					adjust = 1;
					exStyle = GetWindowLong( hwnd2, GWL_EXSTYLE );
					SetWindowLong( hwnd2, GWL_EXSTYLE, (exStyle & (~WS_EX_TRANSPARENT)) );
				} else {
					ShowWindow(hwnd2,SW_HIDE); 
					adjust= 0;
				}
			} else {
				adjust= 1;
				if (first_time){
					get_usc_param();
					first_time = FALSE;
				}
				ShowWindow(hwnd2,SW_RESTORE);

			   UpdateWindow(hwnd2);
			   SetActiveWindow(hwnd2);
			}
			break;

		case BUTTON_SETUSC:
			if (adjust) {
				adjust= !adjust;
				ShowWindow(hwnd2,SW_HIDE); 
				get_area(hwnd2,&x1,&y1,&x2,&y2);
				if (Set_USCreg(      "Left", (DWORD)x1)) goto setusc_err;
				if (Set_USCreg(     "Right", (DWORD)x2)) goto setusc_err;
				if (Set_USCreg(       "Top", (DWORD)y1)) goto setusc_err;
				if (Set_USCreg(    "Bottom", (DWORD)y2)) goto setusc_err;
				if (Set_USCreg( "FrameRate", (DWORD)30)) goto setusc_err;
				MessageBox(hwnd , TEXT("Set USCReg.") , TEXT("Hello,there!") , MB_OK);
				goto setusc_end;

setusc_err:
				MessageBox(hwnd , TEXT("USC SetReg error.") , TEXT("Error!") , MB_OK);
			} else 
				MessageBox(hwnd , TEXT("Not Yet.") , TEXT("USC SetReg") , MB_OK);
setusc_end:
			break;

		case BUTTON_LOAD:
			MessageBox(hwnd , TEXT("BUTTON_LOAD") , TEXT("Hello,there!") , MB_OK);
			break;
		case BUTTON_SAVE:
			MessageBox(hwnd , TEXT("BUTTON_SAVE") , TEXT("Hello,there!") , MB_OK);
			break;

		case BUTTON_SETSVP:
		  if (!adjust){
			GetDlgItemText( hwnd1, EDIT_WIDTH, str, 4) ;
			if (Set_SVPreg( "nWebWD", str )) goto setsvp_err;
			GetDlgItemText( hwnd1, EDIT_HEIGHT, str, 4) ;
			if (Set_SVPreg( "nWebHT", str )) goto setsvp_err;

			if (Set_SVPreg( "nDisp", "5" )) goto setsvp_err;
			if (Set_SVPreg( "szVideoMenuL", "UScreenCapture" )) goto setsvp_err;

			MessageBox(hwnd , TEXT("Set SVPReg.") , TEXT("Hello,there!") , MB_OK);
			goto setsvp_end;
setsvp_err:
			MessageBox(hwnd , TEXT("SVP SetReg error.") , TEXT("Error!") , MB_OK);
		  } else 
			MessageBox(hwnd , TEXT("Not Yet.") , TEXT("SVP SetReg") , MB_OK);
setsvp_end:
			break;

		case BUTTON_QUIT:
			goto quit;
//			MessageBox(hwnd , TEXT("BUTTON_QUIT") , TEXT("Hello,there!") , MB_OK);
			break;
		}
		return 0;
	}
	return DefWindowProc(hwnd , msg , wp , lp);
}

int WINAPI WinMain(HINSTANCE hInstance , HINSTANCE hPrevInstance ,
			PSTR lpCmdLine , int nCmdShow ) {
	MSG msg;
	WNDCLASS winc;

	winc.style		= CS_HREDRAW | CS_VREDRAW;
	winc.lpfnWndProc	= WndProc;
	winc.cbClsExtra	= winc.cbWndExtra	= 0;
	winc.hInstance		= hInstance;
	winc.hIcon		= LoadIcon(NULL , IDI_APPLICATION);
	winc.hCursor		= LoadCursor(NULL , IDC_ARROW);
	winc.hbrBackground	= (HBRUSH)GetStockObject(WHITE_BRUSH);
	winc.lpszMenuName	= NULL;
	winc.lpszClassName	= TEXT("Hello");

	if (!RegisterClass(&winc)) return -1;

    wx = GetSystemMetrics(SM_CXSCREEN);
    wy = GetSystemMetrics(SM_CYSCREEN);

	hwnd1 = CreateWindowEx(WS_EX_TOPMOST,
			TEXT("Hello") , TEXT("Hello,there!") ,
			WS_OVERLAPPEDWINDOW | WS_VISIBLE ,
			wx-200,0,200,180,
			NULL , NULL , hInstance , NULL
	);

	if (hwnd1 == NULL) return -1;
		CreateWindowEx(WS_EX_CLIENTEDGE,
			TEXT("EDIT") , TEXT("400") , 
			WS_CHILD | WS_VISIBLE | WS_BORDER | ES_RIGHT | ES_NUMBER ,
			10 , 0 , 80 , 24 , hwnd1 , (HMENU)EDIT_X ,
			hInstance , NULL
		);

		CreateWindowEx(WS_EX_CLIENTEDGE,
			TEXT("EDIT") , TEXT("400") , 
			WS_CHILD | WS_VISIBLE | WS_BORDER | ES_RIGHT | ES_NUMBER ,
			10 , 30 , 80 , 24 , hwnd1 , (HMENU)EDIT_Y ,
			hInstance , NULL
		);
		CreateWindowEx(WS_EX_CLIENTEDGE,
			TEXT("EDIT") , TEXT("200") , 
			WS_CHILD | WS_VISIBLE | WS_BORDER | ES_RIGHT | ES_NUMBER ,
			100 , 0 , 80 , 24 , hwnd1 , (HMENU)EDIT_WIDTH ,
			hInstance , NULL
		);
		CreateWindowEx(WS_EX_CLIENTEDGE,
			TEXT("EDIT") , TEXT("200") , 
			WS_CHILD | WS_VISIBLE | WS_BORDER | ES_RIGHT | ES_NUMBER ,
			100 , 30 , 80 , 24 , hwnd1 , (HMENU)EDIT_HEIGHT ,
			hInstance , NULL
		);
		CreateWindowEx(WS_EX_CLIENTEDGE,
			TEXT("BUTTON") , TEXT("ADJUST") , 
			WS_CHILD | WS_VISIBLE | WS_BORDER | BS_PUSHBUTTON | BS_CENTER ,
			10 , 60 , 80 , 24 , hwnd1 , (HMENU)BUTTON_ADJUST ,
			hInstance , NULL
		);
		CreateWindowEx(WS_EX_CLIENTEDGE,
			TEXT("BUTTON") , TEXT("Set USC") , 
			WS_CHILD | WS_VISIBLE | WS_BORDER | BS_PUSHBUTTON | BS_CENTER ,
			100 , 60 , 80 , 24 , hwnd1 , (HMENU)BUTTON_SETUSC ,
			hInstance , NULL
		);
		CreateWindowEx(WS_EX_CLIENTEDGE,
			TEXT("BUTTON") , TEXT("LOAD") , 
			WS_CHILD | WS_VISIBLE | WS_BORDER | BS_PUSHBUTTON | BS_CENTER ,
			10 , 90 , 80 , 24 , hwnd1 , (HMENU)BUTTON_LOAD ,
			hInstance , NULL
		);
		CreateWindowEx(WS_EX_CLIENTEDGE,
			TEXT("BUTTON") , TEXT("SAVE") , 
			WS_CHILD | WS_VISIBLE | WS_BORDER | BS_PUSHBUTTON | BS_CENTER ,
			100 , 90 , 80 , 24 , hwnd1 , (HMENU)BUTTON_SAVE ,
			hInstance , NULL
		);
		CreateWindowEx(WS_EX_CLIENTEDGE,
			TEXT("BUTTON") , TEXT("Set SVP") , 
			WS_CHILD | WS_VISIBLE | WS_BORDER | BS_PUSHBUTTON | BS_CENTER ,
			10 , 120 , 80 , 24 , hwnd1 , (HMENU)BUTTON_SETSVP ,
			hInstance , NULL
			);
		CreateWindowEx(WS_EX_CLIENTEDGE,
			TEXT("BUTTON") , TEXT("QUIT") , 
			WS_CHILD | WS_VISIBLE | WS_BORDER | BS_PUSHBUTTON | BS_CENTER ,
			100 , 120 , 80 , 24 , hwnd1 , (HMENU)BUTTON_QUIT ,
			hInstance , NULL
			);
		CreateWindow(
			TEXT("EDIT") , TEXT("DEBUG_2") , 
			WS_CHILD | WS_VISIBLE | WS_BORDER | ES_RIGHT,
			10 , 160 , 80 , 24 , hwnd1 , (HMENU)DEBUG_1 ,
			hInstance , NULL
			);
		CreateWindow(
			TEXT("EDIT") , TEXT("DEBUG_2") , 
			WS_CHILD | WS_VISIBLE | WS_BORDER | ES_RIGHT,
			100 , 160 , 80 , 24 , hwnd1 , (HMENU)DEBUG_2 ,
			hInstance , NULL
			);

		
		hwnd2 = CreateWindowEx(
			WS_EX_TOPMOST | WS_EX_TOOLWINDOW | WS_EX_LAYERED,
			TEXT("Hello") , TEXT("Hello,there!") ,
//			WS_BORDER | WS_POPUP,
//			WS_DLGFRAME | WS_POPUP,
			WS_POPUP ,
			CW_USEDEFAULT , CW_USEDEFAULT ,
			CW_USEDEFAULT , CW_USEDEFAULT ,
			NULL , NULL , NULL , NULL
	);
	SetLayeredWindowAttributes(hwnd2, 0, 200, LWA_ALPHA);

	if (hwnd2 == NULL) return -2;

	while(GetMessage(&msg , NULL , 0 , 0)) {
		TranslateMessage(&msg);
		DispatchMessage(&msg);
	}
	return msg.wParam;
}
